;;; getopt.sld --- POSIX getopt(3) option parsing
;;;
;;; Copyright (c) 2021 nytpu <alex [at] nytpu.com>
;;; SPDX-License-Identifier: MPL-2.0
;;; Home Page: <https://git.sr.ht/~nytpu/getopt-scheme>

;;> POSIX getopt(3), in compliance with
;;> \hyperlink[https://pubs.opengroup.org/onlinepubs/9699919799/functions/getopt.html]{POSIX 2008}
(define-library (nytpu getopt)
  (export getopt)
  (import (scheme base)
          (scheme process-context)
          ; (srfi 1) is more portable than (scheme list)
          #;(scheme list)
          (srfi 1))
  (include "getopt.scm"))
